Job Instance
API endpoint that allows jobs to be viewed or edited.
Pass the start_now url parameter to the POST method to enqueue the job immediately.
Use the delay field to create a test job with fake duration of work (in seconds).
Actions
/jobs/{id}/run/ (POST)
Run a job (add it to the queue).
/jobs/{id}/cancel/ (POST)
Cancel a job (terminate the background task)
GET /api/v2/jobs/651/?format=api
{ "id": 651, "details": "https://api.beluga.insectai.org/api/v2/jobs/651/?format=api", "name": "Test", "delay": 0, "limit": 100, "shuffle": true, "project": { "id": 18, "name": "Vermont Atlas of Life", "details": "https://api.beluga.insectai.org/api/v2/projects/18/?format=api", "user_permissions": [] }, "deployment": null, "source_image_collection": { "id": 15, "name": "VCE - Last & Random", "details": "https://api.beluga.insectai.org/api/v2/captures/collections/15/?format=api", "method": "last_and_random_from_each_event", "user_permissions": [] }, "source_image_single": null, "pipeline": { "id": 3, "details": "https://api.beluga.insectai.org/api/v2/ml/pipelines/3/?format=api", "name": "Quebec & Vermont moths", "slug": "quebec_vermont_moths_2023", "description": "", "version": 1, "version_name": "", "created_at": "2023-11-27T23:26:16.449157", "updated_at": "2026-04-01T17:09:36.520322", "user_permissions": [] }, "status": "FAILURE", "created_at": "2024-05-01T22:37:12.724861", "updated_at": "2024-11-13T17:15:34.176539", "started_at": "2024-05-01T22:37:12.803042", "finished_at": "2024-05-01T22:37:12.845561", "duration": "0.042519", "progress": { "summary": { "status": "FAILURE", "progress": 0.0 }, "stages": [ { "status": "CREATED", "progress": 0.0, "key": "data_storage_sync", "name": "data_storage_sync", "params": [] } ], "errors": [], "logs": [ "[2024-05-01 22:37:12] INFO Finished job #651 \"Test\" (FAILURE) NR-LINKING|MzUxNDA2MHxBUE18QVBQTElDQVRJT058MTA1NTk1NTg3NQ|ad1ca2a760dd|150db27962227e0cc22243294725b874|a46d872a2da7195a|AMI%20Backend%20%28Staging%29|", "[2024-05-01 22:37:12] INFO Changing status of job 651 to FAILURE NR-LINKING|MzUxNDA2MHxBUE18QVBQTElDQVRJT058MTA1NTk1NTg3NQ|ad1ca2a760dd|150db27962227e0cc22243294725b874|a46d872a2da7195a|AMI%20Backend%20%28Staging%29|", "[2024-05-01 22:37:12] INFO Changing status of job 651 to STARTED NR-LINKING|MzUxNDA2MHxBUE18QVBQTElDQVRJT058MTA1NTk1NTg3NQ|ad1ca2a760dd|150db27962227e0cc22243294725b874|a46d872a2da7195a|AMI%20Backend%20%28Staging%29|", "[2024-05-01 22:37:12] INFO Running job #651 \"Test\" (PENDING) NR-LINKING|MzUxNDA2MHxBUE18QVBQTElDQVRJT058MTA1NTk1NTg3NQ|ad1ca2a760dd|150db27962227e0cc22243294725b874|a46d872a2da7195a|AMI%20Backend%20%28Staging%29|" ] }, "logs": { "stdout": [ "[2024-05-01 22:37:12] INFO Finished job #651 \"Test\" (FAILURE) NR-LINKING|MzUxNDA2MHxBUE18QVBQTElDQVRJT058MTA1NTk1NTg3NQ|ad1ca2a760dd|150db27962227e0cc22243294725b874|a46d872a2da7195a|AMI%20Backend%20%28Staging%29|", "[2024-05-01 22:37:12] INFO Changing status of job 651 to FAILURE NR-LINKING|MzUxNDA2MHxBUE18QVBQTElDQVRJT058MTA1NTk1NTg3NQ|ad1ca2a760dd|150db27962227e0cc22243294725b874|a46d872a2da7195a|AMI%20Backend%20%28Staging%29|", "[2024-05-01 22:37:12] INFO Changing status of job 651 to STARTED NR-LINKING|MzUxNDA2MHxBUE18QVBQTElDQVRJT058MTA1NTk1NTg3NQ|ad1ca2a760dd|150db27962227e0cc22243294725b874|a46d872a2da7195a|AMI%20Backend%20%28Staging%29|", "[2024-05-01 22:37:12] INFO Running job #651 \"Test\" (PENDING) NR-LINKING|MzUxNDA2MHxBUE18QVBQTElDQVRJT058MTA1NTk1NTg3NQ|ad1ca2a760dd|150db27962227e0cc22243294725b874|a46d872a2da7195a|AMI%20Backend%20%28Staging%29|" ], "stderr": [] }, "job_type": { "name": "ML pipeline", "key": "ml" }, "data_export": null, "dispatch_mode": "internal", "result": null, "user_permissions": [] }